[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.EndCap

The sort of EndCap used on the Pen

## Declaration

Source position: graphics.pp line 642

`published property TPen.EndCap: TPenEndCap read FEndCap write SetEndCap default pecRound;`

## Description

The end cap can be: Round, Square and Flat. When end caps are round - last points are drawn round, when end caps are square - last points are drawn square. When end caps are flat - last points are not drawn at all.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .